Description

Update, 2019-07-31: The new weapon swapper feature added in 3.1 seems to have introduced a save corruption bug. Please download AMK 1.4.1 AE 3.0, the previous version, instead. It is stable and bug free and has been re-uploaded. Don't use the ENB, it doesn't work on newer Windows version - the default, non ENB version looks better anyway. Original release notes: This release brings in the weapon slot swapper from smoq2's The Faction War mod for Clear Sky along with a number of fixes and tweaks from Anna_Maniac. You can now equip any weapon in either of your weapon slots by double clicking the new weapon swapper item in your inventory. More detail:

Preview
AMK 1.4.1 Autumn Edition 3.1
Comments  (0 - 50 of 84)
nashathedog
nashathedog

Come on get the artifact's detectors in :) That's one of the best features added to SOC.

Reply Good karma Bad karma+14 votes
madrafftheincredible
madrafftheincredible

I would love that aswell, but as far as I know, its not possible to add artifact detectors and at the same time have spawning artifacts. The SoC engine is only able to implement detectors which only work with fixed artifact locations. So adding artifacts detector in the current mod design is simply not in the power of the mod autors.

Reply Good karma Bad karma+2 votes
VanyaSpagetti
VanyaSpagetti

What i am doing wrong i am not sure, 1.4.1 AE v3.0 did not want to play.

Reply Good karma Bad karma+1 vote
v1ld Author
v1ld

What's the error log? Where did it crash? Can't help you if you don't provide details.

This is a very mature merge at this point and will work if you follow the readme - it's been a very long while since there were startup issues. Check all the steps in the readme, be sure to follow them exactly don't just copy files and folders

Reply Good karma+5 votes
21thx12
21thx12

v1ld
is this anything close to correct for the install of -nointro-noprefetch? every way i try it it errors as invalid.

"G:\S.T.A.L.K.E.R - Shadow of Chernobyl\bin\XR_3DA.exe-nointro-noprefetch"

it was loading and playing as 1.0004worldwide with the new startscreen untill loading the big gamedata folder. now there is no bugtrap log or log in the files.

yesterday using USA versions there was bugtrap and regular file logs. bugtrap was saying there was a fatal sound error. the regular log was saying could not open user.ltx. can i post those by copy/paste?

Please Help:-)


Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

"G:\S.T.A.L.K.E.R - Shadow of Chernobyl\bin\XR_3DA.exe" -nointro -noprefetch
The "s end at exe and there should be a space before each of the two -s.

Both your other two errors show a messed up install. Please start over by removing your install completely. The install the game, verify it starts and is version 1.0006. Then add the -nointro above and verify it still starts. Add the 1.0004 patch and verify it starts and is version 1.0004 at the menu. Copy the files EXACTLY as stated in the install file and verify it starts.

Verify the game works at each step and you'll know when it stops working which step you messed up.

Good luck!

Reply Good karma+3 votes
21thx12
21thx12

verify it starts and is version 1.0006.

so it is supposed to go to 1.0006 then down to 1.0004 to work?

Reply Good karma Bad karma+3 votes
v1ld Author
v1ld

Yes, start with a clean install of 1.0006 then use that downgrader.

Reply Good karma+4 votes
21thx12
21thx12

did it the way we talked about and made it further; heard the new music and the new main menu then crashy crashy. its saturnday night and too much cheeki breeki. hahaha

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

Sorry, can't help you further, especially with no error logs or info. Suggest you pay close attention to the README and follow the instructions there. It will work if you do that.

Reply Good karma+3 votes
21thx12
21thx12

well, this is the error log. i hope you are not mad at me because i really am giving it my best.

* Detected CPU: AuthenticAMD , F15/M11/S2, 3100.00 mhz, 8-clk 'rdtsc'
* CPU Features: RDTSC, MMX, 3DNow!, SSE, SSE2

Initializing File System...
using fs-ltx fsgame.ltx
--found external arch mp_military_2.xdb0
FS: 33487 files cached, 6188Kb memory used.
Init FileSystem 1.679657 sec
'xrCore' build 3116, Aug 15 2007

Initializing Engine...
Executing config-script "user.ltx"...
! Cannot open script file [user.ltx]
Starting INPUT device...
Loading DLL: xrRender_R1.dll
Loading DLL: xrGame.dll
* [win32]: free[4065420 K], reserved[54364 K], committed[74456 K]
* [ D3D ]: textures[0 K]
* [x-ray]: crt heap[8787 K], process heap[705 K], game lua[0 K], engine lua[0 K], render[0 K]
* [x-ray]: economy: strings [1366 K], smem[0 K]
Executing config-script "g:\program files (x86)\thq\s.t.a.l.k.e.r. - shadow of chernobyl\gamedata\config\ default_controls.ltx"...
[g:\program files (x86)\thq\ s.t.a.l.k.e.r. - shadow of chernobyl\gamedata\config \default_controls.ltx] successfully loaded.
Executing config-script "user.ltx"...
! Cannot open script file [user.ltx]
SOUND: OpenAL: enumerate devices...
SOUND: OpenAL: Enumeration Extension Present
devices Generic Hardware
SOUND: OpenAL: system default SndDevice name is Generic Hardware
SOUND: OpenAL: default SndDevice name set to Generic Software
SOUND: OpenAL: All available devices:
1. Generic Software, Spec Version 1.1 (default)
2. Generic Software, Spec Version 1.1 (default)
SOUND: OpenAL: Select Best Device is Generic Software 1.1
SOUND: OpenAL: Required device: Generic Software. Created device: Generic Software.
* sound: EAX 2.0 extension: absent
* sound: EAX 2.0 deferred: absent
* sound : cache: 32773 kb, 3805 lines, 8820 bpl
Starting RENDER device...
* GPU [vendor:1002]-[device:9490]: ATI Radeon HD 4600 Series
* GPU driver: 8.17.10.1129
* CREATE: DeviceREF: 1
* Vertex Processor: PURE HARDWARE
* Texture memory: 3811 M
* DDI-level: 9.0
* GPU shading: vs (fffe0300/3.0/30), ps(ffff0300/3.0/30)
* GPU vertex cache: unrecognized, 16
* DVB created: 1536K
* DIB created: 512K
count of .thm files=41
load time=37 ms
* distortion: used, dev(30),need(14)
* SSample: 1024x768
* SSample: enabled
- r__tf_aniso 4
- r1_tf_mipbias 0.
Starting engine...
Loading DLL: xrGameSpy.dll

FATAL ERROR

[error]Expression : wave&&wave;->length()
[error]Function : CSoundRender_Source::LoadWave
[error]File : E:\stalker\patch_1_0004\ xrSound\SoundRender_ Source_loader.cpp
[error]Line : 65
[error]Description : Can't open wave file:
[error]Arguments : g:\program files (x86)\thq\s.t.a.l.k.e.r. - shadow of chernobyl\gamedata\sounds\ characters_voice \scenario\video\intro_gsc_wp_l.ogg

stack trace:

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

Add -nointro to the launcher, as mentioned in the Readme.

You have also not copied appdata and fsgame.ltx too I suspect. Please start at the top of the install file and check every step. Your haven't done many things mentioned there.

Reply Good karma+4 votes
21thx12
21thx12

thank you v1ld i made it. it was actually the nointro noprefetch didnt stay in the launcher and i did the the files for static lighting. then after talking to Sid i promptly died trying to get up the stairs with an anomaly in the way. hahaha i swear by the unholy monolith that my computer just does what it wants sometimes.

talk to you later, i have stalking to do.
and thanks again :)

Reply Good karma Bad karma+3 votes
v1ld Author
v1ld

Glad you got it working!

Reply Good karma+3 votes
21thx12
21thx12

hi v1ld

game going great. if you go to my page i wrote a stalker short story. getting out of here stalker. on to rostok. :)

Reply Good karma Bad karma+2 votes
slipkid69
slipkid69

working great thank you.

Reply Good karma Bad karma+3 votes
Guest
Guest

in this version saved games dont get corrupt?
iloved version 2.1 but when i arrive the satadium my saved games get corupted

Reply Good karma Bad karma+1 vote
v1ld Author
v1ld

No one's reported save corruption for this merge.

I completed AA2.1 without any corruption after following their advice on keeping number of tasks low. Too bad you ran into issues, it's a great, great mod.

Reply Good karma+2 votes
Guest
Guest

Hello there,

I just downloaded the 1.4.1 file and everything seems to run smoothly so far, however, I do have a small issue UI issue, it seems that the autumn aurora inventory and dialogue UI is not really I am liking much, is there anything I can do to use the stock inventory and dialogue UI from the game? I suppose I can get used to the inventory of aurora but I really do not like the dialogue UI l, if it's possible to change that back please let me know! Also nice work merging these mods, thanks for sharing.

Reply Good karma Bad karma+1 vote
v1ld Author
v1ld

Short of going back to AMK AE 2.x, there's no easy solution I'm afraid. It's not trivial to switch those UIs around.

Reply Good karma+2 votes
Guest
Guest

I see, well thank you for the quick response and again for sharing this merge. It is my first playthrough of stalker and wow this is some intense stuff! I'm playing on master and barely made it out of the flash drive quest. The atmosphere is too notch.

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

Yeah, AMK and AA2 are my favorite mods and bring very different but equally strong and complementary things to the table. AMK's changes to the game make it so much more immersive from the new spawns to the random anomalies that are persistent and decay slowly until the next blowout starts the cycle over to ... AA2 adds a lot of fantastic gameplay and atmospheric touches. It's a superb cocktail.

Playing this as your first stalker game is intense. But more power to you. People usually come to amk a lot later, AA2 is a great 2nd mod though. Have fun!

Reply Good karma+3 votes
Powabny10
Powabny10

ooo **** ! what a **** ! I don't understand. I did EXACTLY what you wrote and when I try launch the game, program try change the resolution and frequency to 1024x768@75Hz and CRASH. xr_3da.exe has been stopped bla bla bla... what is that ? why this work in 1024 and why 75hz ? it's stupid. I have not idea for launch this. I tried 2 hours and nothing.
;/

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

It isn't this mod doing that. The mod cannot set refresh rate.

You have other problems

Reply Good karma+2 votes
Guest
Guest

no? so why I have played without problems before instalation? I have gf gtx 770, intel core i3, 4 gb ram. I have played in other mods and I had not the problems like this.

Reply Good karma Bad karma+1 vote
Guest
Guest

Tried eveything, can't get it to work. Set shortcut path, tried several installs - doesn't launch. The bug occurs at the downgrading - stops launching when I try to launch after downgrade to 1.0006 (both clean 1.0004 and 1.0006 launches, but the downgrade from 1.0006 to 1.0004 does not, nor does the clean 1.0004 with the mod applied).

Error log:
Problem signature:
Problem Event Name: APPCRASH
Application Name: XR_3DA.exe
Application Version: 0.0.0.0
Application Timestamp: 46c2babe
Fault Module Name: xrCore.dll
Fault Module Version: 0.0.0.0
Fault Module Timestamp: 46c00608
Exception Code: 4000001f
Exception Offset: 00017d15
OS Version: 6.1.7601.2.1.0.256.48
Locale ID: 1062
Additional Information 1: adc1
Additional Information 2: adc138a035ab15f9b726184e9119f597
Additional Information 3: c451
Additional Information 4: c4513442249a696e237d1d172f8ce617

Reply Good karma Bad karma+1 vote
Guest
Guest

Fixed it by installing the english version. Its said nowhere in the readme that you should install eng (didn't notice at any rate)

Reply Good karma Bad karma+1 vote
v1ld Author
v1ld

I though I mentioned the WW (world wide) version, but if not I'll do so in the next release.

Reply Good karma+2 votes
sneaky_
sneaky_

I seem to be having a crash when making a new game, any suggestions on what I could do? Heres the crash log:

Logs:
Expression : fatal error
Function : CInifile::r_section
File : E:\stalker\patch_1_0004\xrCore\Xr_ini.cpp
Line : 342
Description : <no expression>
Arguments : Can't open section 'weather_cycles'

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

Reinstall from scratch, after blowing away everything. This is a stable mod at this point, so that's almost certainly a installation problem.

Don't install any optional pieces, just the core mod. Test that it works by starting it up and playing before installing anything else

You can't mix this with any other mods without merging it properly. So start with no gamedata folder whatsoever.

Reply Good karma+2 votes
sneaky_
sneaky_

Thank you. I actually did solve it yesterday, it seemed to only crash when I added the option binocular folders. I appreciate the help a lot though, love the mod.

Reply Good karma Bad karma+3 votes
CorsairL
CorsairL

i got the same problem, i cannot solve it

Reply Good karma Bad karma+1 vote
dzengh
dzengh

Great pack by the creator, loving it so far.

I do have a question though.. I've played up until the first scripted bloodsucker encounter (Agroprom underground to look for Strelok's stash), but when I try killing the bloodsucker, I'm just unable to finish it. I've shot magazine after magazine and shot after shot (AK and shotgun) in it, and I can see it impact and bleed, but for some reason it doesn't die. Now keep in mind I'm mainly hitting it when it's cloaked and I'm playing on 'master' difficulty, for the first time..

Am I encountering a bug here or is there a special rule on 'master' mode that a 'sucker can't get damaged when in cloak? Or is it just ridiculously OP?

Hope you'll get back to me soon. Thank you a lot!

Reply Good karma Bad karma+2 votes
dzengh
dzengh

I succeeded, only by stabbing the 'sucker once with my knife, which didn't seem to work until it (3 seconds later? Bleeding???) dropped dead.. After just one stab. Compared to 20-something point blank shotgun blasts to the tentacles? Weird..

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

You've taken the hardcore route:) The knife is very powerful and will work on a lot of enemies.

Shotgun shells to the head will work on bloodsuckers. You should have a Saiga by then. Grenades are also a good choice, especially against controllers.

Reply Good karma+2 votes
dzengh
dzengh

Yeah I got the controller down relatively easy, but as I said I shot like 20-30 shotgun rounds into a bloodsuckers face and back from up close without noticable damage.. Anyway, might be weird, might be me.. I'm past that now and having fun with your mod! Thanks for the fast reply and all. :D

Reply Good karma Bad karma+2 votes
poomanchu
poomanchu

Is there a way to play this amk mod with the most recent stalker patch? V1.0006. My fps is through the roof using the provided patch. I don't get this problem with the latest patch.I've tried using dxtory but it won't detect the game and the files do not contain a fps limit. I love aa2 and would like to try amk with it. It seems to add quite a bit of stuff.

Reply Good karma Bad karma+3 votes
v1ld Author
v1ld

I have an AMD card and use RadeonPro to set vsync with a 60Hz frame limit, along with triple buffering, SMAA and stuff. This works in all the games, every mod so far. I believe you can do the same thing from the NVIDIA control panel.

To answer your question though: no way to play this in 1.0006 unfortunately. However, you can limit your frames without that patch.

Reply Good karma+3 votes
Guest
Guest

Every mirror for this download and v1.4 can't be extracted with winRAR it seems for me. Just 'the method is unknown.' error and no files have any bytes. Other mods here extract just fine like normal, but for this Idk what to do.. =/

Any solutions would be appreciated, excited to play this

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

Mirrored at Drive.google.com

Reply Good karma+4 votes
Trajaen
Trajaen

Hey, thanks for the effort but I ran into same issue unfortunately. Extract and it immediately brings up the diagnostic box listing every single file with a line about :Unknown method in gamedata/ etc. and of course no bytes in any file.

Can't seem to get around it, been playing aa2.1 in the meantime, and it's been perfect so far. I'll keep trying to find a workaround so I can check this out hopefully. Thanks again for your quick response!

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

I don't use winrar, maybe it doesn't understand 7z? Have you tried 7-zip.org ?

Reply Good karma+4 votes
Trajaen
Trajaen

That has worked. Thank you very much! I will fire it up when I get home tonight xD

Reply Good karma Bad karma+2 votes
Guest
Guest

Expression : fatal error
Function : _out_of_memory
File : E:\stalker\patch_1_0004\xrCore\xrDebugNew.cpp
Line : 359
Description : <no expression>
Arguments : Out of memory. Memory request: 3563572 K

WHAT!!!??

Reply Good karma Bad karma0 votes
Cateddu
Cateddu

I've followed instructions but the game keeps crashing (XR_3DA.exe stopped working) during first loading screen (3 seconds after difficulty selection). I've also noticed that I'm unable to open the "option" menu in the main title screen: network, credits and the rest are working. I'm using english dvd version (from collector's edition) and Win10 64bit.

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

Sounds like a bad install, especially the broken menu problem. I would reinstall with these caveats: don't use the binoculars option as it has a bug, and don't use the ENB as some folks have recently reported issues with it.

Reply Good karma+2 votes
Guest
Guest

Hello so I have done everything as said in the read me (add -nointro,didnt add binoculars and all that jazz,even reinstalled the game when it was crashing on creating new game at creating FROM or something)but now it crashes on loading shaders-I have the GOG version version 1.0004(dunno what launguage version i used the downgrade pack that comes with the download) Win10 64bit,Should i reinstall again?

Reply Good karma Bad karma+2 votes
v1ld Author
v1ld

The shaders crash is typically because you have a lighting option mismatch. Switch to Full Dynamic Lighting. If you need Static Lighting, add that optional.

Reply Good karma+2 votes
dragon001cz
dragon001cz

Thanks a lot! now i have 3 working Stalkers with complete overhauls on my computer!...what am i doing with my life.

Reply Good karma Bad karma+2 votes
Guest
Guest

followed the directions on the readme and get an error
Expression : fatal error
Function : CInifile::r_section
File : E:\stalker\patch_1_0004\xrCore\Xr_ini.cpp
Line : 342
Description : <no expression>
Arguments : Can't open section 'flares_moon2'

dont know if this page is dead but any help?

Reply Good karma Bad karma+1 vote
v1ld Author
v1ld

Which version of the mod? I can't find flares_moon2 in 1.4.1. Make sure you're installing into a new, clean SoC folder not over another mod.

Reply Good karma+2 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.